Bug 1066347 (CVE-2013-4527)

Summary: CVE-2013-4527 qemu: hpet: buffer overrun on invalid state load
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, amit.shah, aortega, apevec, areis, ayoung, berrange, bsarathy, cfergeau, chrisw, dallan, dwmw2, ehabkost, gkotton, gleb, gmollett, itamar, jkurik, jrusnack, knoel, lhh, lpeer, markmc, minovotn, mkenneth, mst, mtosatti, pbonzini, pfrields, ppandit, rbalakri, rbryant, rhod, rjones, sclewis, scottt.tw, virt-maint, virt-maint, yeylon
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-22 04:54:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1095704, 1095706, 1095707, 1133850    
Bug Blocks: 1036654, 1133827    

Description Petr Matousek 2014-02-18 09:33:27 UTC
hpet is a VARRAY with a uint8 size but static array of 32 and the index
(num_timers ) into this array is not checked for sanity.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=3f1c49e2136fa08ab1ef3183fd55def308829584

Comment 1 Petr Matousek 2014-02-18 11:14:31 UTC
Statement:

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6.

Comment 3 Prasad J Pandit 2014-05-08 12:23:57 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095704]

Comment 4 Fedora Update System 2014-05-16 10:00:35 UTC
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Prasad J Pandit 2014-07-18 13:49:54 UTC
Acknowledgements:

The issues were discovered as part of the state loading code audit performed by Michael S. Tsirkin of Red Hat, Anthony Liguori and Michael Roth.

Comment 6 errata-xmlrpc 2014-07-23 16:15:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0927 https://rhn.redhat.com/errata/RHSA-2014-0927.html

Comment 9 errata-xmlrpc 2014-09-22 04:01:18 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1268 https://rhn.redhat.com/errata/RHSA-2014-1268.html